- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_cluster_snmp – Configure Element SW Cluster SNMP

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Configure Element Software cluster SNMP.

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
networks - |  | List of networks and what type of access they have to the SNMP servers running on the cluster nodes. This parameter is required if SNMP v3 is disabled.
| access - | Choices: ro rw rosys | ro for read-only access. rw for read-write access. rosys for read-only access to a restricted set of system information.
| cidr - |  | A CIDR network mask. This network mask must be an integer greater than or equal to 0, and less than or equal to 32. It must also not be equal to 31.
| community - |  | SNMP community string.
| network - |  | This parameter along with the cidr variable is used to control which network the access and community string apply to. The special value of 'default' is used to specify an entry that applies to all networks. The cidr mask is ignored when network value is either a host name or default.
password - / required |  | Password for the specified user. aliases: pass
snmp_v3_enabled boolean | Choices: no yes | Which version of SNMP has to be enabled.
state - | Choices: present ← absent | This module enables you to enable SNMP on cluster nodes. When you enable SNMP, the action applies to all nodes in the cluster, and the values that are passed replace, in whole, all values set in any previous call to this module.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user
usm_users - |  | List of users and the type of access they have to the SNMP servers running on the cluster nodes. This parameter is required if SNMP v3 is enabled.
| access - | Choices: rouser rwuser rosys | rouser for read-only access. rwuser for read-write access. rosys for read-only access to a restricted set of system information.
| name - |  | The name of the user. Must contain at least one character, but no more than 32 characters. Blank spaces are not allowed.
| passphrase - |  | The passphrase of the user. Must be between 8 and 255 characters long (inclusive). Blank spaces are not allowed. Required if 'secLevel' is 'priv.'
| password - |  | The password of the user. Must be between 8 and 255 characters long (inclusive). Blank spaces are not allowed. Required if 'secLevel' is 'auth' or 'priv.'
| secLevel - | Choices: noauth auth priv | To define the security level of a user.

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: configure SnmpNetwork
      tags:
      - elementsw_cluster_snmp
      na_elementsw_cluster_snmp:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        snmp_v3_enabled: True
        usm_users:
          access: rouser
          name: testuser
          password: ChangeMe123
          passphrase: ChangeMe123
          secLevel: auth
        networks:
          access: ro
          cidr: 24
          community: TestNetwork
          network: 192.168.0.1

    - name: Disable SnmpNetwork
      tags:
      - elementsw_cluster_snmp
      na_elementsw_cluster_snmp:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.